Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# KeyboardButton Class Reference

This class is just used as a convenient namespace for grouping all of these handy functions that return buttons which map to standard keyboard keys. More...

List of all members.

## Static Public Member Functions
static ButtonHandle | alt ()
static ButtonHandle | asciiKey (string ascii_equivalent)
| Returns the ButtonHandle associated with the particular ASCII character (taken from the first character of the indicated string), if there is one, or ButtonHandle.none() if there is not.
static ButtonHandle | asciiKey (char ascii_equivalent)
| Returns the ButtonHandle associated with the particular ASCII character, if there is one, or ButtonHandle.none() if there is not.
static ButtonHandle | backspace ()
static ButtonHandle | capsLock ()
static ButtonHandle | control ()
static ButtonHandle | del ()
static ButtonHandle | down ()
static ButtonHandle | end ()
static ButtonHandle | enter ()
static ButtonHandle | escape ()
static ButtonHandle | f1 ()
static ButtonHandle | f10 ()
static ButtonHandle | f11 ()
static ButtonHandle | f12 ()
static ButtonHandle | f13 ()
static ButtonHandle | f14 ()
static ButtonHandle | f15 ()
static ButtonHandle | f16 ()
static ButtonHandle | f2 ()
static ButtonHandle | f3 ()
static ButtonHandle | f4 ()
static ButtonHandle | f5 ()
static ButtonHandle | f6 ()
static ButtonHandle | f7 ()
static ButtonHandle | f8 ()
static ButtonHandle | f9 ()
static ButtonHandle | help ()
static ButtonHandle | home ()
static ButtonHandle | insert ()
static ButtonHandle | lalt ()
static ButtonHandle | lcontrol ()
static ButtonHandle | left ()
static ButtonHandle | lshift ()
static ButtonHandle | meta ()
static ButtonHandle | numLock ()
static ButtonHandle | pageDown ()
static ButtonHandle | pageUp ()
static ButtonHandle | pause ()
static ButtonHandle | printScreen ()
static ButtonHandle | ralt ()
static ButtonHandle | rcontrol ()
static ButtonHandle | right ()
static ButtonHandle | rshift ()
static ButtonHandle | scrollLock ()
static ButtonHandle | shift ()
static ButtonHandle | shiftLock ()
static ButtonHandle | space ()
static ButtonHandle | tab ()
static ButtonHandle | up ()

## Detailed Description

This class is just used as a convenient namespace for grouping all of these handy functions that return buttons which map to standard keyboard keys.

## Member Function Documentation

static ButtonHandle alt | ( |  | ) | `[static]`

static ButtonHandle asciiKey | ( | string | ascii_equivalent | ) | `[static]`

Returns the ButtonHandle associated with the particular ASCII character (taken from the first character of the indicated string), if there is one, or ButtonHandle.none() if there is not.

static ButtonHandle asciiKey | ( | char | ascii_equivalent | ) | `[static]`

Returns the ButtonHandle associated with the particular ASCII character, if there is one, or ButtonHandle.none() if there is not.

static ButtonHandle backspace | ( |  | ) | `[static]`

static ButtonHandle capsLock | ( |  | ) | `[static]`

static ButtonHandle control | ( |  | ) | `[static]`

static ButtonHandle del | ( |  | ) | `[static]`

static ButtonHandle down | ( |  | ) | `[static]`

static ButtonHandle end | ( |  | ) | `[static]`

static ButtonHandle enter | ( |  | ) | `[static]`

static ButtonHandle escape | ( |  | ) | `[static]`

static ButtonHandle f1 | ( |  | ) | `[static]`

static ButtonHandle f10 | ( |  | ) | `[static]`

static ButtonHandle f11 | ( |  | ) | `[static]`

static ButtonHandle f12 | ( |  | ) | `[static]`

static ButtonHandle f13 | ( |  | ) | `[static]`

static ButtonHandle f14 | ( |  | ) | `[static]`

static ButtonHandle f15 | ( |  | ) | `[static]`

static ButtonHandle f16 | ( |  | ) | `[static]`

static ButtonHandle f2 | ( |  | ) | `[static]`

static ButtonHandle f3 | ( |  | ) | `[static]`

static ButtonHandle f4 | ( |  | ) | `[static]`

static ButtonHandle f5 | ( |  | ) | `[static]`

static ButtonHandle f6 | ( |  | ) | `[static]`

static ButtonHandle f7 | ( |  | ) | `[static]`

static ButtonHandle f8 | ( |  | ) | `[static]`

static ButtonHandle f9 | ( |  | ) | `[static]`

static ButtonHandle help | ( |  | ) | `[static]`

static ButtonHandle home | ( |  | ) | `[static]`

static ButtonHandle insert | ( |  | ) | `[static]`

static ButtonHandle lalt | ( |  | ) | `[static]`

static ButtonHandle lcontrol | ( |  | ) | `[static]`

static ButtonHandle left | ( |  | ) | `[static]`

static ButtonHandle lshift | ( |  | ) | `[static]`

static ButtonHandle meta | ( |  | ) | `[static]`

static ButtonHandle numLock | ( |  | ) | `[static]`

static ButtonHandle pageDown | ( |  | ) | `[static]`

static ButtonHandle pageUp | ( |  | ) | `[static]`

static ButtonHandle pause | ( |  | ) | `[static]`

static ButtonHandle printScreen | ( |  | ) | `[static]`

static ButtonHandle ralt | ( |  | ) | `[static]`

static ButtonHandle rcontrol | ( |  | ) | `[static]`

static ButtonHandle right | ( |  | ) | `[static]`

static ButtonHandle rshift | ( |  | ) | `[static]`

static ButtonHandle scrollLock | ( |  | ) | `[static]`

static ButtonHandle shift | ( |  | ) | `[static]`

static ButtonHandle shiftLock | ( |  | ) | `[static]`

static ButtonHandle space | ( |  | ) | `[static]`

static ButtonHandle tab | ( |  | ) | `[static]`

static ButtonHandle up | ( |  | ) | `[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties